<app-header></app-header>

<div class="container">

  <div class="card mb-3 bg-dark mx-auto text-white shadow">
    <div class="row no-gutters">
      <div class="col-md-4">
        <img [src]="serie.photo" class="card-img" style="height: 100%; object-fit: cover; max-height: 400px">
      </div>
      <div class="col-md-8">
        <div class="card-body text-left">
          <h3 class="card-title">{{serie.name}}</h3>
          <p class="card-text">
            <b class="font-weight-bold">Date de sortie de la premiere saison : </b>
            {{serie.dateBegin | date:'dd MMMM yyyy':'+0200': 'fr'}}
          </p>
          <p class="card-text">
            <b class="font-weight-bold">Nombre de saisons : </b>
            {{serie.nbrSeasons}}
          </p>
          <p class="card-text">
            <b class="font-weight-bold">Description : </b>
            {{serie.description}}
          </p>
          <p class="card-text">
            <b class="font-weight-bold">Critique : </b>
            {{serie.critic}}
          </p>
          <a class="btn btn-outline-warning btn-sm mr-2" [routerLink]="editURL">Modifier</a>
        </div>
      </div>
    </div>
  </div>

  <hr class="my-4">

  <div class="d-flex justify-content-between">
    <div class="w-50 mr-2">
      <h4 class="mb-4">Commentaires sur la série :</h4>
      <div>
        <app-comment
          *ngFor="let comment of serie.comment?.reverse()"
          [commentDate]="comment.date"
          [commentAuthor]="comment.author"
          [commentComment]="comment.comment">
        </app-comment>
      </div>
    </div>

    <div class="w-50 ml-2">
      <h4 class="mb-4">Ecrire un commentaire :</h4>
      <div class="card shadow text-white bg-dark card-signin mb-5">
        <div class="card-body text-center">
          <h5 class="card-title text-center">Ajouter un commentaire</h5>
          <form [formGroup]="newCommentForm" (ngSubmit)="onSubmitNewComment()">
            <div class="form-group">
              <textarea type="text" id="inputComment" class="form-control" formControlName="comment" placeholder="Commentaire" rows="5"></textarea>
            </div>
            <p *ngIf="errorMsg" class="text-danger">{{errorMsg}}</p>
            <button class="btn btn-outline-success text-uppercase" type="submit">Ajouter le commentaire</button>
          </form>
        </div>
      </div>
    </div>
  </div>

</div>



